- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
qi::FutureException Class Reference

`#include <future_fwd.hpp>`

## Public Types
enum | ExceptionState { ExceptionState_FutureTimeout, ExceptionState_FutureCanceled, ExceptionState_FutureHasNoError, ExceptionState_FutureUserError, ExceptionState_PromiseAlreadySet, ExceptionState_FutureInvalid }

## Public Member Functions
| FutureException (const ExceptionState &es, const std::string &str=std::string())
ExceptionState | state () const
std::string | stateToString (const ExceptionState &es)
virtual | ~FutureException () throw ()

## Detailed Description

base exception raised for all future error.

Definition at line 138 of file future_fwd.hpp.

## Member Enumeration Documentation

enum qi::FutureException::ExceptionState

Enumerator
ExceptionState_FutureTimeout | No result ready.
ExceptionState_FutureCanceled | The future has been canceled.
ExceptionState_FutureHasNoError | asked for error, but there is no error
ExceptionState_FutureUserError | real future error
ExceptionState_PromiseAlreadySet | when the promise is already set.
ExceptionState_FutureInvalid | the future is not associated to a promise

Definition at line 140 of file future_fwd.hpp.

## Constructor & Destructor Documentation

qi::FutureException::FutureException | ( | const ExceptionState & | es,
|  | const std::string & | str = `std::string()`
| ) |  |
| inline explicit

Definition at line 149 of file future_fwd.hpp.

virtual qi::FutureException::~FutureException | ( |  | ) |
throw | ( |
| ) |  |
| inline virtual

Definition at line 158 of file future_fwd.hpp.

## Member Function Documentation

ExceptionState qi::FutureException::state | ( |  | ) | const
| inline

Definition at line 154 of file future_fwd.hpp.

std::string qi::FutureException::stateToString | ( | const ExceptionState & | es | ) |

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/detail/future_fwd.hpp